{
  "env": {
    "browser": true,
    "es6": true
  },
  "extends": [
    "airbnb",
    "prettier"
  ],
  "globals": {
    "Atomics": "readonly",
    "SharedArrayBuffer": "readonly"
  },
  "parserOptions": {
    "ecmaFeatures": {
      "jsx": true
    },
    "ecmaVersion": 2018,
    "sourceType": "module"
  },
  "plugins": [
    "react"
  ],
  "rules": {
    "no-multi-spaces": "error",
    "react/jsx-filename-extension": [
      1,
      {
        "extensions": [
          ".js",
          ".jsx"
        ]
      }
    ],
    "import/imports-first": [
      "error",
      "absolute-first"
    ],
    "no-shadow": [
      2,
      {
        "allow": [
          "done"
        ]
      }
    ],
    "react/state-in-constructor": 0,
    "react/jsx-fragments": 0,
    "react/jsx-props-no-spreading": 0,
    "react/jsx-curly-newline": 0,
    "react/jsx-wrap-multilines": ["error", {
      "declaration": "parens-new-line",
      "assignment": "parens-new-line",
      "return": "parens-new-line",
      "arrow": "parens-new-line",
      "condition": "parens-new-line",
      "logical": "ignore",
      "prop": "ignore"
    }],
    "import/no-unresolved": 0,
    "new-cap": 0,
    "semi": 0,
    "global-require": 0,
    "no-underscore-dangle": 0,
    "arrow-body-style": 0,
    "no-console": 0,
    "react/forbid-prop-types": 0,
    "jsx-a11y/href-no-hash": 0,
    "import/prefer-default-export": 0,
    "react/prop-types": 0,
    "comma-dangle": [2, "always-multiline"],
    "arrow-parens": ["warn", "always", { "requireForBlockBody": false }],
    "jsx-a11y/anchor-is-valid": [ "error", {
        "components": [ "Link" ],
        "specialLink": [ "to", "hrefLeft", "hrefRight" ],
        "aspects": [ "noHref", "invalidHref", "preferButton" ]
      }]
  },
  "settings": {
    "import/resolver": {
      "node": {
        "paths": [
          "src",
          "src/js"
        ]
      }
    }
  },
  "parser": "babel-eslint"
}